// stdmeth.prg
// Implement standard methods

#include "inkey.ch"

FUNCTION stdmeth(nKey, toThis)

LOCAL lKeyHandled := .T.

    DO CASE
        CASE nKey == K_DOWN;       toThis:down()
        CASE nKey == K_UP;         toThis:up()
        CASE nKey == K_PGDN;       toThis:pagedown()
        CASE nKey == K_PGUP;       toThis:pageup()
        CASE nKey == K_CTRL_PGUP;  toThis:gotop()
        CASE nKey == K_CTRL_PGDN;  toThis:gobottom()
        CASE nKey == K_RIGHT;      toThis:right()
        CASE nKey == K_LEFT;       toThis:left()
        CASE nKey == K_HOME;       toThis:home()
        CASE nKey == K_END;        toThis:end()
        CASE nKey == K_CTRL_LEFT;  toThis:panleft()
        CASE nKey == K_CTRL_RIGHT; toThis:panright()
        CASE nKey == K_CTRL_HOME;  toThis:panhome()
        CASE nKey == K_CTRL_END;   toThis:panend()
        OTHERWISE;                 lKeyHandled := .F.
    ENDCASE

RETURN lKeyHandled

