*
* ADDSKIPFOR - Generate SKIP FOR... clause whenever appropriate.
*
* Description:
* Add a SKIP FOR clause to the current PAD or BAR definition.
* If a field named skipfor is not empty, then add the continuation
* character, ";", to the previous line, and then add the SKIP FOR...
* clause.
*
*!*********************************************************************
*!
*!      Procedure: ADDSKIPFOR
*!
*!      Called by: DEFMENUPADS    (procedure in GENMENU.PRG)
*!               : DEFBARS        (procedure in GENMENU.PRG)
*!
*!*********************************************************************
PROCEDURE addskipfor
PRIVATE m.skip
m.skip = Skipfor
IF NOT EMPTY(Skipfor)
	\\ ;
        \       SKIP FOR <m.skip>
ENDIF

