/* AINVERT.PRG - Returns an inverted array - one level only

SYNTAX

   AInvert( <aArray> ) -> <aInverted>

COMPILING

   FOR LIBRARY:  /n /w /m
   FOR TESTING:  /n /w /m /dTESTING

*/

#ifdef TESTING

PROCEDURE Test
   LOCAL aArray:= { "Red","Green","Blue" }
   LOCAL aInvert:= AInvert( aArray )
   LOCAL i
   FOR i:= 1 TO Len( aArray )
      ? aArray[ i ],aInvert[ i ]
   NEXT
   RETURN

#endif

FUNCTION AInvert( aArray )
   LOCAL n:= Len( aArray )
   LOCAL aInverse[ n ]
   AEval( aArray, {| e | aInverse[ n-- ]:= e } )
   RETURN aInverse

// EOF
