LISTING 1 -- ISPMDX  Function

FUNCTION ispmdx
PRIVATE dbf_name, mdx_name

***  Returns TRUE if production .MDX exists

dbf_name = dbf()              &&   .dbf file name

***  trim off extension and drive disignator
dbf_name = substr(dbf_name,3,at('.',dbf_name)-3)

***  trim off the leading path
DO WHILE at('\',dbf_name) # 0   &&  trim path
  dbf_name = substr(dbf_name,at('\',dbf_name)+1)
ENDDO

mdx_name = mdx(1)             &&  .mdx file name

IF len(mdx_name) # 0          &&  .mdx exists
  mdx_name = substr(mdx_name,3,;
                    at('.',mdx_name)-3)

  DO WHILE at('\',mdx_name) # 0   &&  trim path
    mdx_name = substr(mdx_name,;
                      at('\',mdx_name)+1)
  ENDDO

ENDIF

IF mdx_name = dbf_name        &&  they are equal
  RETURN(.t.)
ELSE
  RETURN(.f.)
ENDIF

********


