// Generic array browse program

#include "inkey.ch"

STATIC nArrayIndex := 1

FUNCTION tbarray1

LOCAL ar

  CLEAR SCREEN
  nArrayIndex := 1
  ar := directory("*.*", "D")
  browse_array(ar)

  CLEAR SCREEN
  USE names
  nArrayIndex := 1
  ar := dbstruct()
  browse_array(ar)

RETURN NIL


FUNCTION browse_array(a)

LOCAL oTbr := tbrowseNew(1, 1, maxrow() - 1, maxcol() - 1)
LOCAL nCols := len(a[1])
LOCAL i
LOCAL lExitRequested := .F.
LOCAL nKey
LOCAL oTbc

  @ 0, 0 TO maxrow(), maxcol()
  FOR i := 1 TO nCols
    oTbc := tbColumnNew("Heading" + ltrim(str(i, 3)), aBlock(a, i))
    oTbc:width := 15
    oTbr:addColumn(oTbc)
  NEXT;

  oTbr:goTopBlock := {|| nArrayIndex := 1 }
  oTbr:goBottomBlock := {|| nArrayIndex := len(a) }
  oTbr:skipBlock := {|n, nSave| ;
                     nSave := nArrayIndex, ;
                     nArrayIndex:= iif(n > 0, ;
                                       min(nArrayIndex + n, len(a)), ;
                                       max(1, nArrayIndex + n)), ;
                     nArrayIndex - nSave }

  DO WHILE !lExitRequested
    DO WHILE !oTbr:stabilize()
    ENDDO
    nKey := inkey(0)
    IF !stdMeth(nKey, oTbr)
      DO CASE
        CASE nKey == K_ESC
          lExitRequested := .T.
      ENDCASE
    ENDIF
  ENDDO

RETURN NIL

FUNCTION aBlock(ar, i)

RETURN {|| ar[nArrayIndex, i] }
